commit 6e84cb7dcdccdc8059aca0bfe52837b6624a3a96
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 10 15:24:00 2022 -0700

    xfs 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ab6e5cc9f27109b72462073f03b4268dddbeac6d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 16 10:00:16 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cdb536d65f1898ecbd2d9ae13058703063e715f9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 16 09:59:02 2022 -0700

    Use memcpy() instead of memmove() when buffers are known not to overlap
    
    Most of these came from a mass bcopy() -> memmove() substitution
    in 1993 with a commit comment of "ANSIfied for R6".
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 431588f8103a886de68a7ae3fcb8cc36974ed3c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 16 09:37:59 2022 -0700

    SetAlternateServers(): avoid memory leak on allocation failure
    
    Reported by Oracle Parfait static analyzer:
    
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer alts allocated with FSalloc((16 * num))
            at line 229 of app/xfs/os/osglue.c in function 'SetAlternateServers'.
            malloc called at line 372 of app/xfs/os/utils.c in function 'FSalloc'
            Allocated value returned to caller at line 373
              alts allocated at line 218 of app/xfs/os/osglue.c in function 'SetAlternateServers' with FSalloc((16 * num))
              alts leaks when (*t) == 44 at line 225.
    
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer alts allocated with FSalloc((16 * num))
            at line 245 of app/xfs/os/osglue.c in function 'SetAlternateServers'.
            malloc called at line 372 of app/xfs/os/utils.c in function 'FSalloc'
            Allocated value returned to caller at line 373
              alts allocated at line 218 of app/xfs/os/osglue.c in function 'SetAlternateServers' with FSalloc((16 * num))
              alts leaks when (*(list + <pointer arithmetic>)) == 0 at line 224.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01a36ae3d97e01e5c3ae3cf730fceabb66a9f235
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 13:33:58 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fe06632d4126013747e896df4528537fc7136396
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 12:32:58 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 65e5c8764ac0c00f8d3750db5eb4c90dda4c37da
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 12:32:55 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f759842e8f6dc1ab296d75ec9e4fc108b2ee9a43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:03:55 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a0585a3aa4ded660a3415893d052f57b5524b8e9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:03:53 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 490b589ea68479bd389e6fce3ba3c203b228f615
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 10 12:52:42 2018 -0800

    doc/xfs-design.xml: Remove obsolete B16 tags in struct definition
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c0ff087474db78b91241c31c00a501782a3da31b
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Nov 28 12:16:13 2017 -0500

    xfs 1.2.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fedc90e8e3f6c36204de5562bfb726270064a4f1
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 24 17:35:14 2017 -0400

    xfs: port to libXfont2
    
    This appears to work, in the sense that xfsinfo and fslsfonts print the
    same thing before and after.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 47eceb44ca00569b76e4304ee3b36c8f87d46a3e
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 24 15:33:39 2017 -0400

    xtrans: Simplify an error path when started from inetd
    
    The old code is redundant, since our caller looks like:
    
        OldListen = _FontTransGetInetdListenInfo (inetdListener);
        if (OldListen == NULL) {
            FatalError("failed to initialize OldListen to inetd socket: %s\n",
                       strerror(errno));
        }
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fcdfd5053c21441265645eb381bb9120f972735c
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 22c4117e8c7e08f15e42be3120eff58cb04fdd0d
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 89c3df532ae4bd9d5924a445264a9df3a97f6bf6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 9e64669db3b19ce11b40e084cf2d366bfd52826f
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Jul 23 13:55:18 2015 +0200

    Include config.h first, and add comment about Xpoll.h.
    
    (To avoid having this header moved lower.)
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Emil Velikov <emil.l.velikov@gmail.com>

commit 75be718a55376d39b0e517da33ef7a7557ac8f20
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Jul 19 09:55:55 2015 +0200

    Ignore .dirstamp files.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1508df2fa02daff7a5cd58ce5d64e42b44ff4065
Author: Matthew Green <mrg@NetBSD.org>
Date:   Sun Jul 19 09:54:59 2015 +0200

    FD_SETSIZE fixes.
    
    Move X11/Xpoll.h include earlier than sys/select.h to avoid missing
    out on setting FD_SETSIZE early enough.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4fdc960c33724f859be74a630e0d668a74f6637d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 8 23:20:06 2015 -0700

    Fix memory leaks when not using alloca
    
    Reported by Oracle Parfait 1.5.1:
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer client_auth allocated with FSalloc((prefix->num_auths * 24))
            at line 256 of difs/dispatch.c in function 'ProcEstablishConnection'.
              client_auth allocated at line 243 with FSalloc((prefix->num_auths * 24)).
              client_auth leaks when (((Atom)ad) - ((Atom)(prefix + 8))) > ((stuff->length << 2) - 4) at line 252.
            malloc called at line 372 of os/utils.c in function 'FSalloc'
            at line 276 of difs/dispatch.c in function 'ProcEstablishConnection'.
              client_auth allocated at line 243 with FSalloc((prefix->num_auths * 24)).
              client_auth leaks when (i + 1) >= ((fsConnClientPrefix*)client->requestBuffer)[1].num_auths at line 251.
            malloc called at line 372 of os/utils.c in function 'FSalloc'
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer acp allocated with FSalloc((stuff->num_auths * 24))
            at line 604 of difs/dispatch.c in function 'ProcCreateAC'.
              acp allocated at line 590 with FSalloc((stuff->num_auths * 24)).
              acp leaks when ((((Atom)ad) - ((Atom)client->requestBuffer)) + 8) > ((stuff->length << 2) - 4) at line 599.
            malloc called at line 372 of os/utils.c in function 'FSalloc'
            at line 622 of difs/dispatch.c in function 'ProcCreateAC'.
              acp allocated at line 590 with FSalloc((stuff->num_auths * 24)).
              acp leaks when (i + 1) >= ((fsCreateACReq*)client->requestBuffer)->num_auths at line 597.
            malloc called at line 372 of os/utils.c in function 'FSalloc'
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3d9bc5a3a8dd36188b0c09d536dcc3c0a8339c31
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 23 13:00:24 2014 -0700

    Add const to port variable passed to TRANS(ReopenCOTSServer)
    
    Before this patch, gcc always warns:
    os/xfstrans.c: In function ‘_FontTransGetInetdListenInfo’:
    os/xfstrans.c:38:18: warning: initialization discards ‘const’ qualifier from pointer target type [enabled by default]
         char *port = "0";
                      ^
    
    After this patch, with prior versons of libxtrans, gcc will warn about
    passing a const to TRANS(ReopenCOTSServer) where non-const is expected.
    
    With both this patch & the libxtrans const patches, there are no warnings.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4bc3e1f01864f09ce87b8eba9b1970ea3715375c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 21 22:34:59 2014 -0700

    xfs 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 899268224e98d2c660839a08d70166543d8e0a51
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 11 18:40:27 2014 -0700

    Add subdir-objects to automake options
    
    automake 1.14.1 is asking for it:
    
     warning: possible forward-incompatibility.
     At least a source file is in a subdirectory, but the 'subdir-objects'
     automake option hasn't been enabled.  For now, the corresponding output
     object file(s) will be placed in the top-level directory.  However,
     this behaviour will change in future Automake versions: they will
     unconditionally cause object files to be placed in the same subdirectory
     of the corresponding sources.
     You are advised to start using 'subdir-objects' option throughout your
     project, to avoid future incompatibilities.
    
    and repeating for every source file:
    Makefile.am:35: warning: source file 'difs/charinfo.c' is in a subdirectory,
    Makefile.am:35: but option 'subdir-objects' is disabled
    
    This quiets it, and brings us into line with the future state.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a3498cecb300d20ddaab033a8dbda72df52a8b3b
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Apr 6 14:41:56 2014 -0500

    Fix CFLAGS and LDFLAGS for Cygwin/MinGW
    
    As in xserver, FD_SETSIZE must be overridden due to a too-low default,
    and symbols must be exported for compatibility with the shared libXfont
    stub handling on these platforms.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c8459eafc04997751ae3d200d0ec91e43e19b5b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d353fc875c534c1efeaeb5185b3088f52d266882
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 79db3095004c912850455bddfc91bb0991ff6c75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 23 23:01:51 2014 -0700

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f25c51fba6c7a08748892050c9db78e911e80ede
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 23 22:55:53 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9298ede3e9b9a4707d91a460f2f9e91aef23d6c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 22 23:21:18 2014 -0700

    Delete XpClient stubs
    
    Xprint support stubs were required for libXfont prior to removal
    of Xprint support in libXfont commit e1927f80deabe in 2009, but
    are no longer needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9ca90f04e43545dd0ab4f2f580e1c7a32139936d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 22 23:11:48 2014 -0700

    Move EventSwapVector from extenst.h to difs.h
    
    Fits in better with other swap vectors there
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03bf9d280c88b15161defd305ab06920bacb26a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 22 23:05:42 2014 -0700

    Delete unused extension code
    
    No extensions were defined, but the code was ready for them, just in
    case someone came up with one.  If someone ever does, they can restore
    from git history or an old tarball - until then, less code for us to
    maintain & worry about checking for proper encoding/decoding of protocol.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca9663adce2a6e477fd92429e6e64bf8665998ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:51:15 2014 -0700

    Replace fsalloc(strlen) + strcpy with strdup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c2c5520eef72b851aef245e4d5209087e824385
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:39:40 2014 -0700

    Convert remaining sprintf calls to snprintf
    
    Removes a bonus unchecked strcat() call as well.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 51970b9a6f51fdb23ccdd566b48594aeb593eb11
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:04:21 2014 -0700

    unifdef -USABER
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b240bc3633a56db6dbd0b1c8fa465b186814f1b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 20 22:01:29 2014 -0700

    unifdef -UNOTYET
    
    Mostly removes resource class code copied from the X server resource
    handling code and never used.  Also removes reset on last client
    disconnect code (similarly copied from the X server and not used).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 659e9deafa76bb7feab16afc848392536361c92b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 16 15:33:56 2014 -0700

    Only call SnfSetFormat if libXfont is built with SNF support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 013df6f7d4ad0f3f2a74993733fc62ab67ffd484
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu May 8 19:28:28 2014 +0200

    Delete unused CopyISOLatin1Lowered function
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62daf761ea5e7c810d305c84426a8769db785979
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu May 8 19:28:27 2014 +0200

    Use the register_fpe_functions() function from libXfont
    
    Instead of individually registering support for font files and font
    servers, use the libXfont-provided register_fpe_functions() which will
    do the right thing (as of 1.4.2) depending how libXfont was configured.
    
    This should let xfs run against a libXfont configured with --disable-fc.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c6bb161dcb391977d353dc1c9d2b7d10179a20d4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 24 23:29:13 2014 -0700

    Don't abort() just because we found more names than client requested
    
    Too many fonts is no reason to drop everything, dump core, and exit.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c7945278c8f5b7c70b0ef12b4024caa43ac152e
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 29 13:14:22 2014 -0800

    Warning fixes.
    
    XFS replicates quite a bit of X server infrastructure so that it can
    share libXfont. Many of those shared functions are declared in shared
    font header files (either fontsproto.h or fontmisc.h). This patch
    removes duplicate definitions from the XFS header files and makes sure
    the shared header files are included in the right places to get the
    functions declared before being defined.
    
    Of course, some of those function types have changed, in particular
    CopyISOLatin1Lowered now takes a const char * source parameter.
    
    This patch also stops re-using the 'port' variable in
    GetInetdListenInfo when fetching the ReopenInfo. That's not strictly
    necessary here, but will be useful when the Reopen API in libxtrans
    changes to take a constant parameter.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b7cd80d37de51311e4cbf73dc9cdf231c5352bb1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 00:10:50 2013 -0700

    Remove CRAY/WORD64 support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 37df336745b23a7394a97e93ffe8944376d194db
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:34:36 2013 -0700

    Require ANSI C89 pre-processor, drop pre-C89 token pasting support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a52114915c0fadfbbdd81049d5e940720868f44e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 18:45:28 2013 -0700

    xfs 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b736a278a574a0f5f24c207478974351573427bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:50:11 2013 -0800

    Remove unused server cache functionality
    
    We initialized the cache & reset the cache, but never put anything in it.
    (Unlike the FontPatternCache provided by libXfont.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 21e479609b3529ce24e6139d1208dfe4f9040891
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:30:49 2013 -0800

    Convert Reply initialization to use C99 struct initializers
    
    Much like we did for the X server, lets the compiler handle filling
    in the entire struct, including zeroing out padding bytes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e77aa8b02f3f95a312a755bead400e1dd6e7fc45
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:27:02 2013 -0800

    Delete unused/empty FreeFonts() function
    
    Had no body and no callers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 43dd1a904a17d6cbcef6d6728b192eae858b642f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 22:22:09 2013 -0800

    Make FontWakeup functions be static to fonts.c
    
    Only called from other functions in fonts.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6404f5855b7a38ad567c51b916646c3a085b419
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 21:52:38 2013 -0800

    Convert UseFPE & FreeFPE into static inline functions
    
    Comment suggests making them a macro, but since they're only used in this
    file, might as well let the compiler choose how best to optimize them.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7558028f93ba8d068ca9f0c5638268f2063c944
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 21:38:40 2013 -0800

    Delete unused function CopyCharInfo
    
    Can find no record of this being used in current git repo (back to X11R6.6)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e46193d3bb4b7bd52f4dfbccaf5efd4525d97103
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 19:28:06 2013 -0800

    MakeAtom: get rid of unnecessary casts
    
    strncmp & strncpy expect an unsigned (size_t) argument, so don't take our
    unsigned len and cast it back to a signed int, because that makes clang sad:
    
    difs/atom.c:92:44: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
                comp = strncmp(string, (*np)->string, (int) len);
                       ~~~~~~~                        ^~~~~~~~~
    difs/atom.c:118:34: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
                strncpy(nd->string, string, (int) len);
                ~~~~~~~                     ^~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5ac8e2b0aabd61639acee43ac0b9794a65f09594
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:33:54 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed5cdb85b307ca1844b337b50fb49108d9d4b6e1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:32:06 2013 -0800

    Remove old OS2 linker file, xfs.def
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d27fea63c95f98b09f8242db71423f959a1665ba
Author: Arvind Umrao <arvind.umrao@oracle.com>
Date:   Thu Aug 23 16:55:18 2012 +0530

    Revert of ac59cccf8bc1ae3d41e0608f131b5eb888f9362b
    
    xfs service will go to maintenance status after running fsinfo.
    NULL is passed to socket layer causing crash.  It was missed that
    it also gets passed to ReopenCOTSServer which attempts to strdup
    the port string without checking if it's null.
    
    Signed-off-by: Arvind Umrao <arvind.umrao@oracle.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef3f230bc13a15c2cca2cb974de12d6d861aebdf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 10:19:15 2012 -0800

    Require libXfont >= 1.4.5 to avoid prototype mismatch errors for MakeAtom
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7ec5d8d1a7adfd9b844fa750c319189a426466d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 28 22:33:44 2012 -0800

    xfs 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03b4a543a812b14a565a92ac691cdc0f550e95d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 30 18:21:30 2011 -0800

    Call malloc, not xalloc
    
    One call in xfstrans.c used xalloc - everything else already had malloc.
    Fix this so it won't break when Xtrans stops defining xalloc to malloc
    for us.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c7f1cdefc1c256cd24d4b793c710c60870ae942
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:42:51 2011 -0800

    Use config.h for autoconf output now that there's no conflict
    
    Now that os/config.h is gone, no reason to special case and have
    xfs-config.h for the autoconf generated header.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e2a18c2fc203d094b2e975cf9b316528b9feaaa8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:38:08 2011 -0800

    Move os/config.h into os/config.c
    
    The only file that needed the only remaining definition was config.c,
    so there's no point keeping a header file around for a single #define
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9de423ba5997e7cdb131f4bbdec2e676fa42c3e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:33:24 2011 -0800

    Fix printf format errors found by gcc now that it can check
    
    Fixes:
    os/config.c: In function ‘config_parse_nameVal’:
    os/config.c:417:5: warning: too few arguments for format
    os/config.c: In function ‘config_parse_int’:
    os/config.c:458:6: warning: too few arguments for format
    
    Requires passing parm arguments around in order to provide parameter
    names with problems in the error messages
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 22968fe5dd9e83ea39c095fd74bbf518ed1e51f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:27:00 2011 -0800

    Make CONFIG_ERR_* values be strings instead of indexes in ConfigErrors array
    
    Allows gcc to check printf format strings instead of just giving warnings.
    Since these #defines are only used in config.c, define them directly there,
    instead of in the config.h header that no one else includes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f8224be41700ccf7d639bd9a10818a45b10bc63a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 20:05:49 2011 -0800

    Constify string argument to MakeAtom
    
    Matches what's already been done in xserver and libXfont
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ac59cccf8bc1ae3d41e0608f131b5eb888f9362b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 25 12:12:14 2011 -0700

    Don't pass a static string to TRANS(GetReopenInfo)
    
    It never reads the value passed in, just overwrites the pointer,
    and gcc -Wwrite-strings complains about assigning a constant string
    to a non-const char*.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb8c4d800cc237c9ecaebd7af91ff26a311ac310
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 22 09:10:10 2011 -0400

    xfs-design: add missing legal text for Copyright holder
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fd9d549b9e480826f8d3a22665a26977c573c0c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 20:33:36 2011 -0700

    Add _X_NORETURN to declarations of functions that exit
    
    While you might think FatalError() also should have _X_NORETURN, if
    you add it, you will find that gcc warns you that it does indeed
    return when built with syslog support.   Why syslog makes all fatal
    errors become non-fatal is an excellent question to ponder...
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cee4aafcd5ebef34cae02f2215663df6c8551a20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:36:02 2011 -0700

    Fix warnings about mismatched printf arg types
    
    Mostly from types defined as long or unsigned long which we tried to
    print as normal ints.
    
    difs/cache.c: In function `CacheFreeMemory':
    difs/cache.c:371: warning: int format, different type arg (arg 2)
    
    difs/resource.c: In function `AddResource':
    difs/resource.c:304: warning: unsigned int format, different type arg (arg 2)
    difs/resource.c:304: warning: unsigned int format, different type arg (arg 3)
    difs/resource.c:304: warning: unsigned int format, pointer arg (arg 4)
    difs/resource.c: In function `FreeResource':
    difs/resource.c:410: warning: unsigned int format, different type arg (arg 2)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b426f8a15b5f2e6268438d2e0505fdbf8c64aeb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:11:53 2011 -0700

    Add _X_ATTRIBUTE_PRINTF to error reporting functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c57e65406a7447930f701a319ba518acf9b4b5d3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:10:04 2011 -0700

    Fix gcc -Wwrite-strings warnings for initialization with string literals
    
    Many warnings of the form:
    os/config.c:92:5: warning: initialization discards qualifiers from pointer target type
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 12463ed04068716ef8e9cf53eddaf8e78d0688dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 19:23:30 2011 -0700

    Remove dependency on libFS, the client-side library
    
    xfs doesn't include <X11/fonts/FSlib.h> nor call any functions from the
    library, which is not surprising, as that's the library containing the
    client-side code for connecting to a font server such as xfs.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit ece2db504981f95bb1766d5a95ee8558bd95da46
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 11:08:10 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 074374e0b94b3ff7aa09966d01691a98e2467ee4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Sep 9 13:00:50 2011 -0400

    devbook.am: maintenance update from docbook.am
    
    The developer docs are generated from a subset of docbook.am
    which is sometimes updated.
    
    The one difference is the embedded css style in the HEAD element.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d8c17fc48a02d9c21d55514c92ec72a03ba581a8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Sep 9 13:30:55 2011 -0400

    config: fix distcheck for config.cpp
    
    The location of the file is in srcdir.
    Problem introduced in commit 68bf267fa
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3024e122b6d256060696ef0ba92c794a8106bc8f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 2 14:20:10 2011 -0500

    doc: use common makefile for developers documentation
    
    The user/specs docs now have external references support.
    Developers doc are not installed so they do not participate.
    However, using a similar makefile shared amongst developers
    document reduces maintenance and is forward looking.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fe05c6c0c5abc7708f10c7af3929b1a26dde60c8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 18:22:51 2011 -0800

    resync font-path checking with xserver's configure.ac
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>

commit 68bf267fa4080e4a85df91e4a196bb701ee921d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 18:19:56 2011 -0800

    Make config.cpp rule compatible with Solaris make
    
    Solaris make doesn't support $< in direct target rules.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea30eb37f4402cf09db8e1dc8b999d3bf7b7d66f
Author: Martin Jansa <martin.jansa@gmail.com>
Date:   Sat Nov 20 08:47:06 2010 +0100

    config: look for fontpath.d only if --with-default-font-path wasn't specified #31290
    
    * AC_CHECK_FILE doesn't work when cross compiling
    * Fixes https://bugs.freedesktop.org/show_bug.cgi?id=31290
    
    Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 070fc985a8048e3a126690c5e64f0dca6418806b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 11:19:31 2010 -0500

    config: HTML file generation: use the installed copy of xorg.css
    
    Currenlty the xorg.css file is copied in each location
    where a DocBook/XML file resides. This produces about
    70 copies in the $(docdir) install tree.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 995c9b23864e0207cf4c01cf442e49cc63817fdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 15:39:30 2010 -0700

    xfs 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bea7df7f194e3dab6f1826477a8accd8e249cbee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 15:36:51 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 293b8b9163083e7d8adfde752a29e25436b927a1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Aug 5 08:02:40 2010 -0400

    Using the C preprocessor to generate "config" is no longer needed.
    
    Reuse and adapt the man makefile using sed in a seperate directory
    Replace XCOMM IMakefile comment with #
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9ad39a265b093793a0d9f009018f99f3fde596bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Aug 5 13:31:57 2010 -0400

    fontcache: remove unreachable code around FONTCACHE define
    
    Unlike the xset app, xfs has never defined or included a header
    that defines FONTCACHE, even when compiled with libXfont 1.3.3
    which uses fontcacheproto and defines FONTCACHE in its config.h.
    
    This will allow further simplification when generating config.cpp.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ec0bcb3daf87368ff22be65f66c70dbb7ab48d32
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Aug 4 16:10:26 2010 -0400

    xfs.man: use sed and standard makefile
    
    Remove the complexity of using the C preprocessor legacy
    from IMakefile.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 884dc954c93e49a31047b84dcf01e0c3e40e08f6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Aug 4 15:24:37 2010 -0400

    xfs.man: replace IMake XCOMM comment with #
    
    There is no need to replace it using sed everytime.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 980f905db43fd43cd61a95c4286a1b26658c2d0c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 3 17:13:20 2010 -0400

    doc: use xorg stylesheet and standard makefile
    
    The recent conversion to DocBook XML has created an infra-structure
    to apply a common stylesheet and build support.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f371c30202705f949d7a8ed04e4039d69f04fcf9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 3 13:47:10 2010 -0400

    doc: use HAVE_XMLTO_TEXT for users without a text browser.
    
    Used to conditionally generate text documentation.
    xmlto for text output requires either lynx, links, or w3m browsers
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 31917b20fe3d83ca51c460fdd66a7d61f2670db3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jun 26 17:43:06 2010 -0400

    Fix segfaults in xfs
    
    This addresses possible remaining segfaults which can occur randomly
    in xfs, mostly a follow up on bug 22084.
    
    1. Make sure ListenTransCount is reset to 0 when ListenTransConns is
       freed to avoid a segfault in CloseSockets() when a “drone server”
       terminates.
    
    2. ffs() is still used in various places on fd_mask whereas the
       fd_mask can be greater than an int.
    
    3. replace (i << 5) with (i * (sizeof(fd_mask) * 8) to be more
       64bit safe
    
    Cf: https://bugs.freedesktop.org/show_bug.cgi?id=28691
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 7caf7298a5088c8afab4d0c8146de2faca2e2baa
Author: Jeff Smith <whydoubt@yahoo.com>
Date:   Fri Mar 19 13:48:08 2010 -0500

    Clean up some pointer signedness warnings
    
